#if defined _UNLOZE_ForumIntegration_Included
	#endinput
#endif
#define _UNLOZE_ForumIntegration_Included

typeset AsyncHasSteamIDReservedSlotCallbackFunc
{
	function void (const char[] sSteam32ID, int Result);
	function void (const char[] sSteam32ID, int Result, any Data);
};

native void AsyncHasSteamIDReservedSlot(const char[] sSteam32ID, AsyncHasSteamIDReservedSlotCallbackFunc Callback, any Data = 0);
native void GetClientForumName(int client, char[] sName, int len);

public SharedPlugin __pl_UNLOZE_ForumIntegration =
{
	name = "UNLOZE_ForumIntegration",
	file = "UNLOZE_ForumIntegration.smx",
#if defined REQUIRE_PLUGIN
	required = 1,
#else
	required = 0,
#endif
};

#if !defined REQUIRE_PLUGIN
public __pl_UNLOZE_ForumIntegration_SetNTVOptional()
{
	MarkNativeAsOptional("AsyncHasSteamIDReservedSlot");
    MarkNativeAsOptional("GetClientForumName");
}
#endif
